{% assign items_per_page = settings.grid_rows | times: settings.grid_columns %}

{% assign grid_item_class = 'col-lg-4 col-md-6 col-sm-12' %}
{% case settings.grid_columns %}
  {% when 2 %}
    {% assign grid_item_class = 'col-lg-6 col-md-6 col-sm-12' %}
  {% when 4 %}
    {% assign grid_item_class = 'col-lg-3 col-md-6 col-sm-12' %}
  {% when 6 %}
    {% assign grid_item_class = 'col-lg-2 col-md-6 col-sm-12' %}
  {% else %}
    {% assign grid_item_class = 'col-lg-4 col-md-6 col-sm-12' %}
{% endcase %}

{% paginate collection.products by items_per_page %}
<div id="collection-products-listing" class="container-fluid collection-grid style-grid">
  <div class="row">
    
    {% if paginate.items > 0 %}
    <div class="col-sm-12 contains-pagination pb20">
      {% include 'collection-pagination-bar' %}
    </div>
    {% endif %}
    
    {% for product in collection.products %}
    
    {% include 'collection-grid-item', grid_item_class: grid_item_class %}
    
    {% else %}
    <div class="col-sm-12 fs24 color-lighter text-center pt100 pb100">
      <p>No products found under the selected category.</p>
      <p>Please try a different category or start over at <a href="{{ shop.url }}">our homepage</a></p>
    </div>
    {% endfor %}
    
    {% if paginate.items > 0 %}
    <div class="col-sm-12 contains-pagination pt20">
      {% include 'collection-pagination-bar' %}
    </div>
    {% endif %}
    
  </div>
</div>
{% endpaginate %}